## Retrieve BillGroupingKey

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python  
```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/billgroupingkeys/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php


```

### Common HTTP Status Codes

- **200**: 
- **4XX**: 
- **5XX**:

### Example Responses

```json
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "exclusive": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**
- **Type**: string
- **Location**: header
- **Required**: Yes

`m3ter` supports machine-to-machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: string (required) - UUID of the Organization.
- **id**: string (required) - UUID of the Bill Grouping Key to retrieve.

### Response

**200**  application/json

Returns the BillGroupingKey.
